$(document).ready(function(){



//-------------------------------------------------CONSTRUIMOS FUNCIONES------------------------------------------------------
	
$ocultar_contenido = (function(){
$("#cont_azul, #cont_comedia, #cont_servicios, #cont_artistas, #cont_galerias, #cont_shows, #cont_contacto, #cont_juegos, #cont_chistes").hide();
});


$ocultar_items = (function(){
$("#cont_logo").css('visibility','hidden');
$("#item_comedia").hide().css('left','-10%');
$("#item_servicios").hide().css('left','-10%');
$("#item_artistas").hide().css('left','-10%');
$("#item_galerias").hide().css('right','-10%');
$("#item_shows").hide().css('right','-10%');
$("#item_contacto").hide().css('right','-10%');
});


$aparecer_items = (function(){
$("#cont_azul, #cont_comedia, #cont_servicios, #cont_artistas, #cont_galerias, #cont_shows, #cont_contacto, #cont_juegos, #cont_chistes").hide();
$("#cont_logo").css('visibility','visible');
$("#item_comedia").fadeIn().css('left','5%');
$("#item_servicios").fadeIn().css('left','2%');
$("#item_artistas").fadeIn().css('left','7%');
$("#item_galerias").fadeIn().css('right','5%');
$("#item_shows").fadeIn().css('right','2%');
$("#item_contacto").fadeIn().css('right','7%');
});


$ocultar_lunas = (function(){
$("#luna_comedia").css('margin-top','200px');
$("#luna_servicios").css('margin-top','200px');
$("#luna_contacto").css('margin-top','200px');
});


//-------------------------------------------------FUNCIONES------------------------------------------------------

$ocultar_contenido();
$ocultar_lunas();





$("#cont_azul").click(function(){
	$(this).hide();
	$aparecer_items();
	$ocultar_lunas();
});

$(".enlace_volver").click(function(){
	$ocultar_contenido();
	$aparecer_items();
	$ocultar_lunas();
});




//--------------------------------TODAS LAS DIVS DE CHISTES AL MISMO ALTO------------------------------------


//$(function(){
//var maxH = 0;
//
//$("#caja_chistes div").each(function(i) {
//
//var actH = $(this).height();
//if(actH > maxH) maxH = actH;
//
//});
//
//$("#caja_chistes div").height(maxH);
//});





//------------------------------------------------------CLICK EN COMEDIA--------------------------------------------------
$("#comedia").click(function(){
	$("#cont_servicios, #cont_artistas, #cont_galerias, #cont_shows, #cont_contacto, #cont_juegos, #cont_chistes").hide();
	$ocultar_items();
	$("#cont_azul").fadeIn(1000).css('visibility','visible');
	$("#cont_comedia").fadeIn(1000).css('visibility','visible');
	$("#caja_ajax_comedia").load('ajax/comedia.html');
	$("#luna_comedia").css('margin-top','20px');
});


//------------------------------------------------------CLICK EN SERVICIOS--------------------------------------------------
$("#servicios").click(function(){
	$("#cont_comedia, #cont_artistas, #cont_galerias, #cont_shows, #cont_contacto, #cont_juegos, #cont_chistes").hide();
	$ocultar_items();
	$("#cont_azul").fadeIn(1000).css('visibility','visible');
	$("#cont_servicios").fadeIn(1000).css('visibility','visible');
	$("#caja_ajax_servicios").load('ajax/servicios.html');
	$("#luna_servicios").css('margin-top','20px');
});


//------------------------------------------------------CLICK EN ARTISTAS--------------------------------------------------
$("#artistas").click(function(){
	$("#cont_comedia, #cont_servicios, #cont_galerias, #cont_shows, #cont_contacto, #cont_juegos, #cont_chistes").hide();
	$ocultar_items();
	$("#cont_azul").fadeIn(1000).css('visibility','visible');
	$("#cont_artistas").fadeIn(1000).css('visibility','visible');
	$("#caja_ajax_artistas").load('ajax/artistas.html');
});



//------------------------------------------------------CLICK EN GALERIAS--------------------------------------------------
$("#galerias").click(function(){
	$("#cont_comedia, #cont_servicios, #cont_artistas, #cont_shows, #cont_contacto, #cont_juegos, #cont_chistes").hide();
	$ocultar_items();
	$("#cont_azul").fadeIn(1000).css('visibility','visible');
	$("#cont_galerias").fadeIn(1000).css('visibility','visible');
});


//------------------------------------------------------CLICK EN SHOWS--------------------------------------------------
$("#shows").click(function(){
	$("#cont_comedia, #cont_servicios, #cont_artistas, #cont_galerias, #cont_contacto, #cont_juegos, #cont_chistes").hide();
	$ocultar_items();
	$("#cont_azul").fadeIn(1000).css('visibility','visible');
	$("#cont_shows").fadeIn(1000).css('visibility','visible');
	$("#caja_ajax_shows").load('ajax/shows.html');
});


//------------------------------------------------------CLICK EN CONTACTO--------------------------------------------------
$("#contacto").click(function(){
	$("#cont_comedia, #cont_servicios, #cont_artistas, #cont_galerias, #cont_shows, #cont_juegos, #cont_chistes").hide();
	$ocultar_items();
	$("#cont_azul").fadeIn(1000).css('visibility','visible');
	$("#cont_contacto").fadeIn(1000).css('visibility','visible');
	$("#caja_ajax_contacto").load('ajax/contacto.html');
	$("#luna_contacto").css('margin-top','20px');
});


//------------------------------------------------------CLICK EN JUEGOS--------------------------------------------------
$(".link_juegos").click(function(){
	$("#cont_comedia, #cont_servicios, #cont_artistas, #cont_galerias, #cont_shows, #cont_contacto, #cont_chistes").hide();
	$ocultar_items();
	$("#cont_azul").fadeIn(1000).css('visibility','visible');
	$("#cont_juegos").fadeIn(1000).css('visibility','visible');
	//$("#caja_ajax_ocio").load('ajax/ocio.html');
	//$("#caja_ajax_contacto").load('rompecabezas/puzzle.html');
});


//------------------------------------------------------CLICK EN CHISTES--------------------------------------------------
$(".link_chistes").click(function(){
	$("#cont_comedia, #cont_servicios, #cont_artistas, #cont_galerias, #cont_shows, #cont_contacto, #cont_juegos").hide();
	$ocultar_items();
	$("#cont_azul").fadeIn(1000).css('visibility','visible');
	$("#cont_chistes").fadeIn(1000).css('visibility','visible');
	//$("#caja_ajax_ocio").load('ajax/ocio.html');
	//$("#caja_ajax_contacto").load('rompecabezas/puzzle.html');
});


//------------------------------------------------------CLICK EN TWITTER--------------------------------------------------

$("#enlace_twitter").click(function(){
	$("#cont_twitter").fadeIn(1000).css('visibility','visible');
});

$("#cerrar_twitter").click(function(){
	$("#cont_twitter").hide().css('visibility','hidden');
});




});